package com.engine.kq.wfset.bean;

/**
 * 销假
 */
public class LeavebackSplitBean {

  private String requestId;

  private String workflowId;

  private String usedetail;

  /**主表id
   *
   */
  private String dataId;

  /**
   * 明细表id
   */
  private String detailId;

  private String resourceId;

  private String fromDate;

  private String fromTime;

  private String toDate;

  private String toTime;

  private String duration;

  /**
   * 表单上数据库里存的天数字段
   */
  private String durationDB;

  private String requestname;

  public String getRequestId() {
    return requestId;
  }

  public void setRequestId(String requestId) {
    this.requestId = requestId;
  }

  public String getWorkflowId() {
    return workflowId;
  }

  public void setWorkflowId(String workflowId) {
    this.workflowId = workflowId;
  }

  public String getUsedetail() {
    return usedetail;
  }

  public void setUsedetail(String usedetail) {
    this.usedetail = usedetail;
  }

  public String getDataId() {
    return dataId;
  }

  public void setDataId(String dataId) {
    this.dataId = dataId;
  }

  public String getDetailId() {
    return detailId;
  }

  public void setDetailId(String detailId) {
    this.detailId = detailId;
  }

  public String getResourceId() {
    return resourceId;
  }

  public void setResourceId(String resourceId) {
    this.resourceId = resourceId;
  }

  public String getFromDate() {
    return fromDate;
  }

  public void setFromDate(String fromDate) {
    this.fromDate = fromDate;
  }

  public String getFromTime() {
    return fromTime;
  }

  public void setFromTime(String fromTime) {
    this.fromTime = fromTime;
  }

  public String getToDate() {
    return toDate;
  }

  public void setToDate(String toDate) {
    this.toDate = toDate;
  }

  public String getToTime() {
    return toTime;
  }

  public void setToTime(String toTime) {
    this.toTime = toTime;
  }

  public String getDuration() {
    return duration;
  }

  public void setDuration(String duration) {
    this.duration = duration;
  }

  public String getDurationDB() {
    return durationDB;
  }

  public void setDurationDB(String durationDB) {
    this.durationDB = durationDB;
  }

  public String getRequestname() {
    return requestname;
  }

  public void setRequestname(String requestname) {
    this.requestname = requestname;
  }
}
